services:
    Gos\Bundle\WebSocketBundle\Client\Auth\WebsocketAuthenticationProviderInterface:
        alias: gos_web_socket.client.authentication.websocket_provider

    Gos\Bundle\WebSocketBundle\Client\ClientManipulatorInterface:
        alias: gos_web_socket.client.manipulator

    Gos\Bundle\WebSocketBundle\Client\ClientStorageInterface:
        alias: gos_web_socket.client.storage

    Gos\Bundle\WebSocketBundle\Pusher\PusherRegistry:
        alias: gos_web_socket.registry.pusher
        # deprecated alias, deprecation is set in the container extension

    Gos\Bundle\WebSocketBundle\Pusher\ServerPushHandlerRegistry:
        alias: gos_web_socket.registry.server_push_handler
        # deprecated alias, deprecation is set in the container extension

    Gos\Bundle\WebSocketBundle\Server\App\Dispatcher\RpcDispatcherInterface:
        alias: gos_web_socket.dispatcher.rpc

    Gos\Bundle\WebSocketBundle\Server\App\Dispatcher\TopicDispatcherInterface:
        alias: gos_web_socket.dispatcher.topic

    Gos\Bundle\WebSocketBundle\Server\App\Registry\OriginRegistry:
        alias: gos_web_socket.registry.origins

    Gos\Bundle\WebSocketBundle\Server\App\Registry\PeriodicRegistry:
        alias: gos_web_socket.registry.periodic

    Gos\Bundle\WebSocketBundle\Server\App\Registry\RpcRegistry:
        alias: gos_web_socket.registry.rpc

    Gos\Bundle\WebSocketBundle\Server\App\Registry\ServerRegistry:
        alias: gos_web_socket.registry.server

    Gos\Bundle\WebSocketBundle\Server\App\Registry\TopicRegistry:
        alias: gos_web_socket.registry.topic

    Gos\Bundle\WebSocketBundle\Server\ServerLauncherInterface:
        alias: gos_web_socket.server.entry_point

    Gos\Bundle\WebSocketBundle\Topic\TopicManager:
        alias: gos_web_socket.wamp.topic_manager

    React\EventLoop\LoopInterface:
        alias: gos_web_socket.server.event_loop
